(function() {
	
	'use strict';

	function testForEnter(event)
	{
		if (event.key === "Enter") {
			$("#mobilefirestarter-submit").click()
		}
	}

	/*
	 * Саджесты тасков
	 */

	$(".mobilefirestarter-suggest__task").bind('click', function(event){
		var task_input_field = $("input#task_input");
		task_input_field.val($(this).text());
		event.preventDefault()
    });


    /*
     * Кнопка "Огонь!"
     */
    
    $("button#submitMobileFire").bind('click', function() {
        $(this).prop('disabled', true);

        var $krutilka = $('#krutilka');
        var $error = $('#error_block');
        var $form = $('#mobileFireForm');
        $error.hide();
        $krutilka.show();
        $.ajax({
			url: $form.attr('action'),
			type: 'post',
			data : $form.serialize(),
			datatype: 'json'
        }, 'json'
		).done(function(data) {
			if (data.success) {

				var text = "Успех!";

			    alert(text)
			}
			else {
			    $error.text(data.error);
			    $error.show();
			    $("button#submitMobileFire").prop('disabled', false);
			}
		}
		).fail(function(error) {
			$error.text(data.error);
		    $error.show();
			$("button#submitMobileFire").prop('disabled', false);
		}
		).always(function() {
			$krutilka.hide();
		});
    });


})();